
# Gopher WX Station

## Description

This is just a little home project I have that mixes gopher,
python, gnuplot, and shell scripting. The sensor is a BME280 that is
connected to a raspberry pi as well as a simple bucket rain sensor. 
The page can be accessed at gopher://perilo.us or https://wx.perilo.us.

## Features

It currently gathers temperature, humidity, air pressure, and rainfall. 
Temperature, humidity, and air pressure are captured every ten minutes 
and writen to a daily log file. This is done by configuring a crontab to
run scripts/wxlog.py every ten minutes. This script also generates new 
year/month folders/files and a new daily log file if they don't already 
exist. Rain data is gathered by a background process, scripts/rain.py
that must run as a background process to count the number of bucket tips
in the rain sensor. This data is logged in a separate monthly rain folder.

Upon each new gopher request, it provides current weather data. Gnuplot is 
used to display data graphs in ascii format.

## Todo

1. Add anemometer
2. Generate Heat Index
