#!/usr/bin/python3

# Generates a temporary file with only humidity data for gnuplot
# to use to generate a humidity plot.

import os
import sys
import re

def time_process(s):
    sa = s.split()
    st = sa[0]
    stime = st[:5] + "\t"
    return stime
    
def hum_process(s):
    sa = s.split()
    st = sa[3]
    shum = re.sub('[%]', '', st) + "\n"
    return shum

log_file = sys.argv[-1]
f = open(log_file, 'r')

for i in f:
    if i[0].isdigit():
        w = open('/tmp/temp.tsv', 'a')
        data = time_process(i) + hum_process(i)
        w.write(data)
    else:
        pass
