#!/usr/bin/python3

# Generates a temporary file with only barometric pressure data for gnuplot
# to use to generate a barometric pressure plot.

import os
import sys
import re

def time_process(s):
    sa = s.split()
    st = sa[0]
    stime = st[:5] + "\t"
    return stime
    
def pres_process(s):
    sa = s.split()
    st = sa[4]
    spres = st.replace('mbar', '') + "\n"
    return spres

log_file = sys.argv[-1]
f = open(log_file, 'r')

for i in f:
    if i[0].isdigit():
        w = open('/tmp/temp.tsv', 'a')
        data = time_process(i) + pres_process(i)
        w.write(data)
    else:
        pass
