#!/usr/bin/python3
import os
import sys

rtotal = 0

def rain_calc(file):
    f = open(file, 'r')
    total = 0
    for i in f:
        sf = i.split()
        rf = sf[1]
        total = total + float(rf)
    return total

def rain_inch(m):
    inch = m * .0393701
    return inch

directory = sys.argv[-1]

for filename in sorted(os.listdir(directory)):
    if filename.endswith(".txt"): 
        path = os.path.join(directory, filename)
        sf = filename.split('-')
        date = sf[0] + "/" + sf[1] + "/" + sf[2]
        rainm = rain_calc(path)
        raini = rain_inch(rainm)
        rtotal = rainm + rtotal
        print(date , str(round(rainm,2)) + "mm " + str(round(raini,2)) + "in")
    else:
        continue
print(" ")
print("Monthly Total: " + str(round(rtotal, 2)) + "mm " + str(round(rain_inch(rtotal), 2)) + "in")
